Bug 25469 - Typo: Item does not belongs to your library
Summary: Typo: Item does not belongs to your library
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 8132
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-12 14:57 UTC by Katrin Fischer
Modified: 2020-11-04 12:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25469: Typo: Item does not belongs to your library (2.58 KB, patch)
2020-11-02 15:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25469: Typo: Item does not belongs to your library (2.63 KB, patch)
2020-11-02 19:14 UTC, David Nind
Details | Diff | Splinter Review
Bug 25469: Typo: Item does not belongs to your library (2.69 KB, patch)
2020-11-02 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-12 14:57:31 UTC
Found in translation, it appers in:
 koha-tmpl/intranet-tmpl/prog/en/modules/tools/batchMod-del.tt:2 
koha-tmpl/intranet-tmpl/prog/en/modules/tools/batchMod-del.tt:8
Comment 1 Owen Leonard 2020-06-04 18:18:50 UTC
Does anyone know how to create the circumstance under which the typo is shown?
Comment 2 Katrin Fischer 2020-06-07 12:13:14 UTC
Hi Owen,

looking at the code I found a clue in Items.pm safe_to_delete:
"not_same_branch" if the item is blocked by independent branches,

I think you need to be:
- not superlibrarian
- IndependentBranches on
- login branch != homebranch of the item
Comment 3 Owen Leonard 2020-11-02 15:28:55 UTC
Created attachment 112845 [details] [review]
Bug 25469: Typo: Item does not belongs to your library

This patch makes corrections to two strings in the batch delete template
to correct a typo. Before:

t("Item does not belongs to your library")

...after,

t("Item does not belong to your library")

To test, apply the patch and inspect the template to confirm that the
string is correct.
Comment 4 David Nind 2020-11-02 19:14:26 UTC
Created attachment 112862 [details] [review]
Bug 25469: Typo: Item does not belongs to your library

This patch makes corrections to two strings in the batch delete template
to correct a typo. Before:

t("Item does not belongs to your library")

...after,

t("Item does not belong to your library")

To test, apply the patch and inspect the template to confirm that the
string is correct.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-11-02 21:37:18 UTC
Created attachment 112879 [details] [review]
Bug 25469: Typo: Item does not belongs to your library

This patch makes corrections to two strings in the batch delete template
to correct a typo. Before:

t("Item does not belongs to your library")

...after,

t("Item does not belong to your library")

To test, apply the patch and inspect the template to confirm that the
string is correct.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-11-04 12:03:17 UTC
Pushed to master for 20.11, thanks to everybody involved!